Can not add Facebook account as add button not displayed after authorisation.

Bug #595265 reported by Chris Skillen on 2010-06-16
This bug affects 267 people
Affects Status Importance Assigned to Milestone
Gwibber
Undecided
Ken VanDine
gwibber (Ubuntu)
High
Unassigned
Lucid
High
Unassigned
Maverick
High
Ken VanDine

Bug Description

Binary package hint: gwibber

I am using a fully updated Ubuntu 10.04 system with Gwibber 2.30.0.1. When I try to add a FaceBook account the authorisation works fine. However afterwards a button to add the account (effectively saving the account) is not visible which means the account does not show in the list box on the left hand side. I am able to add other accounts (for example Twitter) without any problems.

Austin Vaughan (avaughan585) wrote :

I am having the same problem. I managed to fix it by deleting the ~/.gconf/apps/gwibber directory. But the problem just reoccurred eventually because I tried removing facebook again from gwibber because of some other stupid problem. This time I cannot fix it by the same method and I am back to square one. I am on the verge of giving up with gwibber entirely until a working version is released.

Omer Akram (om26er) wrote :

I face this too on both my netbook and PC seems like a regression

Changed in gwibber (Ubuntu):
importance: Undecided → High
status: New → Confirmed
Omer Akram (om26er) wrote :

This problem seems to be more prominent for the last few days. the last update to gwibber was quite a few days ago. maybe facebook did something with their authentication system?

Austin Vaughan (avaughan585) wrote :

I suspected a regression too. I tried to Force Version because there is a choice of either:
2.3.0.1-0ubuntu3 (lucid-updates)
2.3.0.1-0ubuntu1 (lucid)

If I try the latter, then I get the following error

E: Unable to correct problems, you have held broken packages.
E: Unable to correct problems, you have held broken packages.
E: Unable to lock the download directory

So I'm stuck with the update it seems.

@Omer: I doubt it the problem lies with facebook authentication. After logging in, the Accounts dialog box of Gwibber confirms that authentication has succeeded (see attached screenshot). If you (or someone else) wants some data to confirm this, I have captured the network traffic between Gwibber and Facebook with Wireshark. I won´t post it here, though.

Facing similar problem which I was posted yesterday at <a href="https://bugs.launchpad.net/bugs/595430">bug 595430</a>, and Mr. Omer Akram suggested me to keep tuned here for further updates... And morever My twitter feed nor friend feed's feed displaying as I've added those accounts in my Gwibber on lucid, bug data can be found at the above bug link!
(In jaunty there was no problem, but in lucid, gwibber is seamlessly looking "dead" for me!)

Juan Simón (simonbcn) wrote :

Please, correct this as soon as possible. I can't use it without facebook.

John Vivirito (gnomefreak) wrote :

I just noticed this this morning when re-entering my accounts after PC troubles. I backed up ~/.gconf thinking that was the right dir. to backup to keep my settings. If anyone knows it would be great to know what i need to back up so i keep my settings.

This morning i tried to add Facebook account and there was no "add" button. I thought i filed a bug on this but i guess i didint.

version i am using is
gwibber:
  Installed: 2.31.1~bzr744-0ubuntu1~daily1

I am on Maverick however there are no Maverick PPA open for Gwibber however that is not the issue

Abobhate (abobhate) on 2010-06-18
Changed in gwibber:
status: New → Incomplete
status: Incomplete → Confirmed
Omer Akram (om26er) wrote :

Just a note. today I was able to add my facebook account

@Omer, I also tried a while ago as you'd got succeed in adding your Facebook to Gwibber, but yet I'm not seeing any "ADD" button after authorization... :(

I do not know if this might help but what I did on my 64-bit Lucid Desktop is I maximized window (if it isn't possible to maximize it, just resize it) after a successful authorization. The "Add" or "Save" button (before it was "Save" now it is "Add") showed up way, way, way, down. Since the Add-Accounts window doesn't offer a "scroll-down" feature, we can not see the "Add" / "Save" button after a successful authorization of Facebook.

However, this is a high priority (in my opinion) bug for non-desktop users. I can not add/save Facebook on my Aspire One netbook. I am using UNR which doesn't allow resizing vertically beyond your screen (but allows horizontally).

Since the "Add" / "Save" button is way, way, way, down, UNR on real netbooks will never be able to add Facebook unless the user finds a way to force UNR to allow resizing vertically beyond the screen. Problem is, even you got hit by the "Facebook is not updating" bug, you really have to re-add your Facebook for it to work again - at least that's how I solved my Desktop "Facebook is not updating" issue. But again on my netbook, I can not do that as stated above.

Changed in gwibber (Ubuntu):
status: Confirmed → Triaged
Omer Akram (om26er) wrote :

please start gwibber from terminal and paste the logs here after being failed to add facebook account

Omer Akram (om26er) wrote :

this commit: http://bazaar.launchpad.net/~ubuntu-branches/ubuntu/lucid/gwibber/lucid-proposed/revision/38
says "Don't allow people to click "Add" before we have enough information from facebook to add the account"

Juan Simón (simonbcn) wrote :

My debug output:

** (gwibber:28614): WARNING **: Trying to register gtype 'WnckWindowState' as enum when in fact it is of type 'GFlags'
** (gwibber:28614): WARNING **: Trying to register gtype 'WnckWindowActions' as enum when in fact it is of type 'GFlags'
** (gwibber:28614): WARNING **: Trying to register gtype 'WnckWindowMoveResizeMask' as enum when in fact it is of type 'GFlags'
** (gwibber-accounts:28731): WARNING **: Trying to register gtype 'WnckWindowState' as enum when in fact it is of type 'GFlags'
** (gwibber-accounts:28731): WARNING **: Trying to register gtype 'WnckWindowActions' as enum when in fact it is of type 'GFlags'
** (gwibber-accounts:28731): WARNING **: Trying to register gtype 'WnckWindowMoveResizeMask' as enum when in fact it is of type 'GFlags'
Updating...
ERROR:dbus.proxies:Introspect error on com.Gwibber.Accounts:/com/gwibber/Accounts: dbus.exceptions.DBusException: org.freedesktop.DBus.Error.ServiceUnknown: The name com.Gwibber.Accounts was not provided by any .service files
ERROR:dbus.proxies:Introspect error on com.Gwibber.Streams:/com/gwibber/Streams: dbus.exceptions.DBusException: org.freedesktop.DBus.Error.ServiceUnknown: The name com.Gwibber.Streams was not provided by any .service files
INFO:Gwibber GNOME Client:Gwibber Client quit
INFO:Gwibber GNOME Client:Gwibber Client closed
No dbus monitor yet
Updating...

mercier133 (mercierdamien) wrote :

There is nothing in the terminal when you authorize a facebook account.
But it lacks the button "Add"

mercier133 (mercierdamien) wrote :

No "Add" button ...

Bilal Akhtar (bilalakhtar) wrote :

I cannot reproduce the bug for this very reason:

I am living in Saudi arabia. Gwibber detects this and opens the authorisation window in Arabic. I don't know arabic. if I change the language in FB, I lose the authorization window and come back to the main Facebook page. Irritating. otherwise, I would have detected the error and have tried to fix it, as I know python.

human77 (human77) wrote :

Not sure if I had the same problem, but try to open this page: http://www.facebook.com/username , go back to gwibber and use your username instead of your email when you login to your account. After that the Add button appeared for me.

Juan Simón (simonbcn) wrote :

@human77, gwibber doesn't use the cookies, session, etc... of your browser.

The error is in gwibber because, in facebook, the authorization of gwibber is done correctly and gwibber detects this but it doesn't show button to add the facebook account.

Download full text (5.5 KiB)

Hi, as requested:

(note: my comments marked with {{ }} )

(note2: there are screenshots name gwibber-01 to gwibber-06 in PNG format, please see attached zip file)

--------------------------------------------------------------------------------
jc@Home-desktop01:~$ gwibber

** (gwibber:12253): WARNING **: Trying to register gtype 'WnckWindowState' as enum when in fact it is of type 'GFlags'

** (gwibber:12253): WARNING **: Trying to register gtype 'WnckWindowActions' as enum when in fact it is of type 'GFlags'

** (gwibber:12253): WARNING **: Trying to register gtype 'WnckWindowMoveResizeMask' as enum when in fact it is of type 'GFlags'
No dbus monitor yet
Updating...
Updating...
ERROR:dbus.proxies:Introspect error on com.Gwibber.Accounts:/com/gwibber/Accounts: dbus.exceptions.DBusException: org.freedesktop.DBus.Error.ServiceUnknown: The name com.Gwibber.Accounts was not provided by any .service files
ERROR:dbus.proxies:Introspect error on com.Gwibber.Streams:/com/gwibber/Streams: dbus.exceptions.DBusException: org.freedesktop.DBus.Error.ServiceUnknown: The name com.Gwibber.Streams was not provided by any .service files
/usr/bin/gwibber:68: GtkWarning: gtk_container_add: assertion `GTK_IS_CONTAINER (container)' failed
  gtk.main()

{{ At this point, I tried adding my Facebook account }}

** (gwibber-accounts:12345): WARNING **: Trying to register gtype 'WnckWindowState' as enum when in fact it is of type 'GFlags'

** (gwibber-accounts:12345): WARNING **: Trying to register gtype 'WnckWindowActions' as enum when in fact it is of type 'GFlags'

** (gwibber-accounts:12345): WARNING **: Trying to register gtype 'WnckWindowMoveResizeMask' as enum when in fact it is of type 'GFlags'

{{ See screenshots gwibber-01 to gwibber-05 }}

Updating...

{{ I clicked the "Close" button since the "Add" button is missing and tried again }}

** (gwibber-accounts:12553): WARNING **: Trying to register gtype 'WnckWindowState' as enum when in fact it is of type 'GFlags'

** (gwibber-accounts:12553): WARNING **: Trying to register gtype 'WnckWindowActions' as enum when in fact it is of type 'GFlags'

** (gwibber-accounts:12553): WARNING **: Trying to register gtype 'WnckWindowMoveResizeMask' as enum when in fact it is of type 'GFlags'
Updating...
** Message: console message: http://static.ak.fbcdn.net/rsrc.php/z2JGI/hash/cd0s5yom.js @9: ReferenceError: Can't find variable: hide

{{ The missing "Add" button showed up this time }}

Saving...
Could not identify preference: username
Could not identify preference: session_key

{{ I deleted my Facebook account again and tried re-adding it }}

** (gwibber-accounts:12656): WARNING **: Trying to register gtype 'WnckWindowState' as enum when in fact it is of type 'GFlags'

** (gwibber-accounts:12656): WARNING **: Trying to register gtype 'WnckWindowActions' as enum when in fact it is of type 'GFlags'

** (gwibber-accounts:12656): WARNING **: Trying to register gtype 'WnckWindowMoveResizeMask' as enum when in fact it is of type 'GFlags'
Updating...

** (gwibber-accounts:12714): WARNING **: Trying to register gtype 'WnckWindowState' as enum when in fact it is of type 'GFlags'

** (gwibber-accounts:12714): WARNING **: Trying to...

Read more...

Juan Simón (simonbcn) wrote :

I have updated gwibber now...
Before Facebook was not working, now gwibber doesn't start... :-(

$ gwibber -d
** (gwibber:4568): WARNING **: Trying to register gtype 'WnckWindowState' as enum when in fact it is of type 'GFlags'
** (gwibber:4568): WARNING **: Trying to register gtype 'WnckWindowActions' as enum when in fact it is of type 'GFlags'
** (gwibber:4568): WARNING **: Trying to register gtype 'WnckWindowMoveResizeMask' as enum when in fact it is of type 'GFlags'
No dbus monitor yet
Updating...
ERROR:dbus.proxies:Introspect error on com.Gwibber.Service:/com/gwibber/Service: dbus.exceptions.DBusException: org.freedesktop.DBus.Error.Spawn.ChildExited: Launch helper exited with unknown return code 1
Traceback (most recent call last):
  File "/usr/bin/gwibber", line 67, in <module>
    client.Client()
  File "/usr/lib/python2.6/dist-packages/gwibber/client.py", line 447, in __init__
    self.w = GwibberClient()
  File "/usr/lib/python2.6/dist-packages/gwibber/client.py", line 29, in __init__
    self.model = gwui.Model()
  File "/usr/lib/python2.6/dist-packages/gwibber/gwui.py", line 43, in __init__
    self.services = json.loads(self.daemon.GetServices())
  File "/usr/lib/pymodules/python2.6/dbus/proxies.py", line 68, in __call__
    return self._proxy_method(*args, **keywords)
  File "/usr/lib/pymodules/python2.6/dbus/proxies.py", line 140, in __call__
    **keywords)
  File "/usr/lib/pymodules/python2.6/dbus/connection.py", line 620, in call_blocking
    message, timeout)
dbus.exceptions.DBusException: org.freedesktop.DBus.Error.Spawn.ChildExited: Launch helper exited with unknown return code 1

Danté (dante-ashton) wrote :

The bug is now affecting my laptop (recently reinstalled).

The add button simply does not exist when attempting to connect to Facebook. Identi.ca setup did not suffer the same problem.

Michael B. Trausch (mtrausch) wrote :

This bug is also present in Ubuntu 10.10 Alpha, up-to-date as of this comment.

Rohan Nogueira (rohan-nog) wrote :

I can confirm that the workaround suggested by John in comment #11 worked for me, but I had access to a large monitor.

I use laptop hence unable to proceed #11's suggestions!

2010/6/24 Gabriel <email address hidden>

> This work for me :
> https://bugs.launchpad.net/ubuntu/+source/gwibber/+bug/595265/comments/19
>
> --
> Can not add Facebook account as add button not displayed after
> authorisation.
> https://bugs.launchpad.net/bugs/595265
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in Gwibber: Confirmed
> Status in “gwibber” package in Ubuntu: Triaged
>
> Bug description:
> Binary package hint: gwibber
>
> I am using a fully updated Ubuntu 10.04 system with Gwibber 2.30.0.1. When
> I try to add a FaceBook account the authorisation works fine. However
> afterwards a button to add the account (effectively saving the account) is
> not visible which means the account does not show in the list box on the
> left hand side. I am able to add other accounts (for example Twitter)
> without any problems.
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/gwibber/+bug/595265/+subscribe
>

--
विशाल

Yes, https://bugs.launchpad.net/ubuntu/+source/gwibber/+bug/595265/comments/19 worked for me too... As human77 said, I kept opened http://facebook.com/vishaltelangre and then tried to add facebook in gwibber by just giving username in Email box instead of giving email-id at the time of authorization... And yes, after authorization completion, it shows me "Add" button there, and now I've added that!

Thanks Gabriel and human77!

Changed in gwibber (Ubuntu):
status: Triaged → Confirmed
David Brideau (thricebedamned) wrote :

# 19's workaround did not work for me. I used my facebook userid instead of my email, and then maximized and unmaximized my screen to full 1680x1050 (widescreen) and... still no Add button.

@David,

had you kept opened your facebook in firefox before trying out the
further procedure?

2010/6/25, David Brideau <email address hidden>:
> # 19's workaround did not work for me. I used my facebook userid
> instead of my email, and then maximized and unmaximized my screen to
> full 1680x1050 (widescreen) and... still no Add button.
>
> --
> Can not add Facebook account as add button not displayed after
> authorisation.
> https://bugs.launchpad.net/bugs/595265
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in Gwibber: Confirmed
> Status in “gwibber” package in Ubuntu: Confirmed
>
> Bug description:
> Binary package hint: gwibber
>
> I am using a fully updated Ubuntu 10.04 system with Gwibber 2.30.0.1. When I
> try to add a FaceBook account the authorisation works fine. However
> afterwards a button to add the account (effectively saving the account) is
> not visible which means the account does not show in the list box on the
> left hand side. I am able to add other accounts (for example Twitter)
> without any problems.
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/gwibber/+bug/595265/+subscribe
>

--
विशाल

David Brideau (thricebedamned) wrote :

1) I tried while I wasn't logged into facebook in firefox,
2) then tried just now while I was logged in to facebook in firefox,
3) then logged out of facebook (specifically using the logout link) and tried again.

No result.

Evan Yares (evanyares) wrote :

Appears to be fixed in 2.31.2.

Victor Vargas (kamus) on 2010-06-25
Changed in gwibber (Ubuntu):
status: Confirmed → Triaged
Jacob Henderson (lmeditato) wrote :

This issue is still present in 2.31.2

Sjur (smhamre) wrote :

Have the same problem on my lamptop (Gwibber v. 2.30.0.1)

I thought I would post what finally worked for me albeit it is annoying it still worked.
I tried all the different suggestions here and nothing worked.
Then I started to wonder if it was a conflict with another account that was doing this.
I removed all my other accounts and without closing the "add account" window added my Fb account using my branded name (not email) as was suggested in #19 and the add button appeared.

Please note 2 things.
#1 I had already authorized my facebook account before this attempt so I did not get the over sized window this time as it detected I had already authorized it.

#2 For those of you that have the full window here is a solution I figured out by fluke.
Maximize the window then click the bottom of the visible part of the window and it will shift to the bottom half of the window and you can see all your buttons. Click the top half to go back up, my only note to this is by doing this it slightly offsets the place you have to click on buttons. For me it was the bottom 1/3 of the button that now worked and would high light when I hovered over it.

Hope this helps.
Selleena

Rex (tysoncsmith) wrote :

for me the idea of using your username seemed to work.
here's what i did and it worked.
I tried most of the suggestions listed here but with no effect.
While still having the gwibber windows and the account window open, i clicked the link http://www.facebook.com/username
this then opened up the webpage and told me i already had a username (which i did ages ago)
then went back to the gwibber accounts clicked add, selected facebook.
It came up saying "facebook already autherised" (which i had done many times) and the "add" button was directly under this. Now working no problems... so far.
so not sure if having chromium, gwibber & accounts windows open and clicking the link helped. i feel it was just fluke that this worked. i hope others may have some luck.
FYi: i'm using an Asus eee pc 900a running ubuntu 10.04 desktop and gwibber 2.30.0.1. i use chromium as web browser.

I finally got it to work on my laptop (17', 1440x900)...
I couldn't get the process of logging on facebook to work most likely because firefox wasn't the default browser (google-chrome was, and no matter what i did the 'Add' button could not be seen (neither on a 1920x1080 tv) ). I tried the browser stuff with both firefox and google-chrome, but untill i set firefox as the default browser it wouldn't work. So here are the steps that worked for me:

1- Launch firefox, set it as default browser
2- Went to http://facebook.com/teonimesic using firefox, logged in using teonimesic
3- Opened Gwibber's Accounts, clicked on 'Add...' (on left side) selected facebook, clicked on 'Add' (on right side)
4- Authorized it with 'teonimesic'
5- The 'Add' button appeared, and i could save it.

Juan Simón (simonbcn) wrote :

To me, all this absurd workarounds doesn't work.
It's absurd that gwibber needs the cookies and sessions info of my Firefox.
It's absurd to have to do all these freak things to add an account.
It's absurd that this problem is not solved yet.
I can say that gwibber is the most frustating application that I have used ever. And I say this not only for this problem. I have tried to use this application many times during this last two years, and I have had to leave it as impossible. With every new gwibber version, the bugs and regressions are biggest and worst! :-(

factro (factro) wrote :

human77 by "Not sure if I had the same problem, but try to open this page: http://www.facebook.com/username , go back to gwibber and use your username instead of your email when you login to your account. After that the Add button appeared for me."

This work with me too..everyone plz try this!!

Sorry but none of the solutions above worked for me...

Ubuntu 10.04 and Gwibber 2.30.0.1

jaseemabid (jaseemabid) wrote :

i have the same problem. nothing happens after the authorization and there is nothing to confirm it also. i tried many times but of no use. Nothing seems to be working now. since the pop up window is not having any status bar , i am unable to know if any internal processes are going on inside . some1 fix this please . .
Tanz ! :D

Ubuntu 10.04 and Gwibber 2.30.0.1

Ken Pratt (kenpratt) wrote :

Comment #11 had the answer for me. I just maximized the add dialog then authorized against Facebook with my existing account. The add button does show, as comment #11 describes.

Bilal Akhtar (bilalakhtar) wrote :

All regressions due to SRUs should be of Critical importance, as specified on https://wiki.ubuntu.com/StableReleaseUpdates#Procedure

Also, Ubuntu Devs should be informed immediately about it, as given in https://wiki.ubuntu.com/StableReleaseUpdates#Regressions

Doing that now.

Changed in gwibber (Ubuntu):
importance: High → Critical
Martin Pitt (pitti) wrote :

This is apparently a regression from the 2.30.0.1-0ubuntu3 SRU from bug 569543. Ken, can you please have a look at this?

Changed in gwibber (Ubuntu Maverick):
importance: Critical → High
assignee: nobody → Ken VanDine (ken-vandine)
Changed in gwibber (Ubuntu Lucid):
assignee: nobody → Ken VanDine (ken-vandine)
importance: Undecided → High
milestone: none → lucid-updates
status: New → Triaged
tags: added: regression-update
DarkJavi (darkjavi) wrote :

Same here, add account dialog doesn't shows add neither cancel button.

Managed to add the facebook account after several resizes and clicking again authorize button.

For me the resize didn't made the trick, but clicking several times on authorise did, at first it says something like "authorisation with fb completed" but after several clicks it told me "autorisation for Javier Fernandez completed" and then showed the add button, so looks like if it can't read real name from facebbok it don't shows the add button.

Lewis John (lewiskjohn) wrote :

I think I've figured it out - the problem seems to be the theme. I think.

In gwibber's settings, change the theme from Ubuntu to default. That made the add button appear for me. Any luck?

I was able to add Facebook to gwibber on my laptop which is a fresh install of Lucid. But on my upgraded PC at home the Add button does not show up. (see attached screenshot)

I've tried all the suggestions in this bug but none have been succesful.

Steps to reproduce
Click microblog from the mail icon in the gnome-panel
Click from the menu...
Edit.. Accounts
Click Add..
Choose Facebook
Click Add...
Click Allow...
Click log in by facebook
type in the e-mail field either your e-mail or user id... (doesn't matter which they both authorize but fail to add)
type in your password
click connect
Screen shows... Facebook access allowed
Click Allow again...
Screen shows a white screen with Success
No possibility to add to the list...

What should happen...
Once the authorization has been given facebook should show up in the left hand column and then load into gwibber.

What really happens...
White screen with the word Success and no other option then to close the screen.

[workaround]

I figured out what it is...

This gave me the clue
Trying to register gtype 'WnckWindowMoveResizeMask' as enum when in fact it is of type 'GFlags'

gwibber add facebook conflicts with Compiz.

I went to System... Look and Feel... Visual Effects...
chose none....
then close

then opened gwibber added facebook... add button shows up...

then went back and turned Compiz back on using
I went to System... Look and Feel... Visual Effects...
chose extra....

gwibber works just fine...

So just for adding Facebook you need to turn off Compiz for a minute.

LSL (spesialstyrker) wrote :

Comment #49 does not work for me; in fact while clicking the authorize button gwibber somehow killed compiz for me, and changed my visual effects to "none" for me, and the add button still does not show up. I have tried all suggestions in this thread save for wiping my install and starting fresh, and I have done these things on both the Lucid repository version of gwibber, and the gwibber-daily PPA as well :(

#49 Interesting. But could it be just random? I mean, in my UNR, I don't have Compiz enabled at all (if I'm not mistaken it isn't installed by default). My visual effects is locked to "none" but still it wasn't easy to make the "Add" button to appear.

Could this be a case-to-case basis? I suggest everyone to post their specs here, incl. OS, 32-bit or 64-bit, etc. that may help the devs in tracking down what's happening. One method works with some but doesn't work with most, another method works with another group of some but doesn't work with most either.

I appologize, I should have written I 'think' I found the solution.

I just tried on 4 different machines with mixed results.
Note I used my facebook username on all of these tests and not my e-mail address.

On the HP Pavillion m9351.nl (intel Core2 Quad)
Lucid 64-bit
Upgraded from Karmic
ext4 filesystem
Propriatary nVidia driver 195.36.24
Dual Monitor configuration (Two external Monitors)
-- Had to turn off Compiz in order to add facebook.

On the HP tx2 1050ed (Tablet PC)
Lucid 64-bit
Fresh Install
jfs files system
Propriatary ATI driver
Dual Monitor Configuration (Laptop Screen + External Monitor)
Compiz OFF
Fresh install
-- Worked out of the box, was able to add facebook the first try

On the Samsung n120 netbook
UNR Lucid
Fresh Install
jfs filesystem
Opensource IntelGMA driver
Compiz ON (yes it does exist on Netbooks under Settings, Appearance... Visual Effects... Extra...)
-- Was able to add facebook in one go without any problems

On the HP Pavillion s3020.sc
Lucid 64-bit
fresh install
jfs filesystem
Propriatary nVidia driver 195.36.24
Compiz on Normal (Settings... Appearance... Visual Effects... Normal)
-- Was able to add facebook the first time.

#52 Even more interesting (at least to me), and no please there's nothing to apologize about ^_^

I'm wondering if this could be related to the other "bug" where the workaround is to use a different DNS server like GoogleDNS or OpenDNS or Level3's?? (But I'm on GoogleDNS already.)

I dunno, maybe this is Facebook's already. My Gwibber to Facebook posting has never been good since this bug and the other bug started. Facebook might be blocking Gwibber or something, because if I try using a different app or way to post to FB, it works instantly. But Gwibber to Facebook posting lasts for 3 posts only on average and then stops. I have to wait for at least 12 hours before Gwibber can post to my account again.

Or maybe a change in FB's API?

But either way, as I've notice in another test earlier, Gwibber thinks the authorization was successful when it was not. See this attachment: http://launchpadlibrarian.net/50676912/gwibber.zip It shows the difference between a fake-successful authorization (the Add button doesn't show up) vs. a real-successful authorization (the Add button shows up).

Even the wording is different. The fake-successful authorization doesn't show our name while the real-successful authorization shows our name.

Michael Chang (thenewme91) wrote :

According to bug 569543, the cause is because gwibber tries to parse user data which is only sent to gwibber the first time the gwibber application is authorized for a given facebook account. Is there anyone affected by this bug who is a first-time user of gwibber?

Workaround that works for me:
- Sign into Facebook using a web browser
- Click Account, then Application settings
- in the Show drop-down, select Authorized
- Scroll to the Desktop Applications section at the bottom of the page
- click the X to delete Gwibber
- re-add your facebook account to gwibber as usual

(Note that my FB accounts have a username from facebook.com/username; I do not know if this is a factor, but previous documentation indicates that this is also required by gwibber.)

This bug is still a problem because the root cause hasn't been resolved -- it's not possible to e.g. add the account to multiple gwibber instances because the data is only available to the first computer where you add the facebook account to gwibber. (IIRC, removing the app from Facebook /should/ cancel previous authorizations for other instances of gwibber.) It appears that the SRU in intended to prevent someone from adding an invalid account entry to gwibber, but it also makes the original bug more obvious because you suddenly can't add accounts that you thought you could add before.

Juan Simón (simonbcn) wrote :

#54 doesn't work for me.

supinps (supinps) wrote :

Nothing works for me...............NO ADD Button

vergil66 (vergil66) wrote :

FWIW:
Running on an eeePC with Ubuntu 10.04 Netbook Remix with Gwibber 2.30.0.01

I got the ADD button to show up as mentioned in the workaround on #30: Log into FB in Firefox, then go through the Authorization for FB and the ADD button appears (it didn't if I wasn't logged into FB in Firefox).

The info pull from FB is still slow, but I was able to post a status update to FB.

Peace.

Omer Akram (om26er) wrote :

anybody facing the issue please try https://bugs.launchpad.net/ubuntu/+source/gwibber/+bug/545859/comments/15 apparently it worked for someone.

Juan Simón (simonbcn) wrote :

Thanks godness. Finally a real and logical solution to the problem!

Sorry, doesn't work either for me...

That may solve the problem for the people who had to scroll a lot to see
the button, but what about the others?

On Wed, 2010-07-07 at 12:23 +0000, Simon wrote:
> Thanks godness. Finally a real and logical solution to the problem!
>

tags: removed: regression-update
Juan Simón (simonbcn) wrote :

@Gillaume I didn't need to scroll.
Perhaps you haven't added the line correctly:
                  ........
                  <object class="GtkAlignment" id="alignment_create">
                    <property name="visible">True</property>
                    <property name="yalign">0</property> <!-- line added in 276 -->
                    <child>
                  ..........

Well I'm sorry then, but it's exactly what I've got here...

274 <object class="GtkAlignment" id="alignment_create">
275 <property name="visible">True</property>
276 <property name="yalign">0</property>
277 <child>
278 <object class="GtkVBox" id="vbox_create">

I still have the same output. "Facebook autorized", but no button.

On Wed, 2010-07-07 at 14:28 +0000, Simon wrote:
> @Gillaume I didn't need to scroll.
> Perhaps you haven't added the line correctly:
> ........
> <object class="GtkAlignment" id="alignment_create">
> <property name="visible">True</property>
> <property name="yalign">0</property> <!-- line added in 276 -->
> <child>
> ..........
>

Stuart Bishop (stub) wrote :

I had this problem - able to add Twitter and Indenti.ca accounts, but no add button after authorizing facebook. Several attempts. Gwibber is authenticated on my other computer fine.

I changed the theme (In gwibber, Edit->Preferences->Style->Theme) to default and tried again. It worked.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gwibber - 2.31.2-0ubuntu1

---------------
gwibber (2.31.2-0ubuntu1) maverick; urgency=low

  * New upstream release
    - Better facebook api_key handling
    - Only download content from facebook that we haven't already downloaded
      yet (LP: #595265)
    - Cache the results of the friends query from facebook so we don't make so
      many redundant calls and download duplicate data (LP: #595265)
    - Added a CouchDB view for getting max_message_time and a method for
      looking it up per operation, using this value to only get content
      newer than the latest record we have stored
    - All of these fixes are related to reducing the number of calls we
      we make to facebook and reducing the size of the result. Facebook
      throttles application wide, not per-user based on usage. This throttling
      is the root cause for (LP: #552227) and (LP: #595265) and probably many
      other bug reports where facebook rejects gwibber.
    - Merged in the latest version of facelib.py
    - Don't fail when we get valid error codes back from facebook, log them.
    - Bump the map_async timeout up to make sure it is higher than the pycurl
      timeouts
    - Bump the pycurl.TIMEOUT to 150 and use default for pycurl.CONNECTTIMEOUT
 -- Ken VanDine <email address hidden> Thu, 08 Jul 2010 15:38:18 -0400

Changed in gwibber (Ubuntu Maverick):
status: Triaged → Fix Released
Justin (deadite81) wrote :

I recently reinstalled Ubuntu 10.04 (2 days ago), and now I can't add my Facebook account to Gwibber. Seriously?

This worked for me:(https://bugs.launchpad.net/ubuntu/+source/gwibber/+bug/545859/comments/15)

yas wrote on 2010-07-07:

Following the idea that the authorization was finishing ok but the button was not visible I manage to try this and it worked for me:
sudo gedit /usr/share/gwibber/ui/gwibber-accounts-dialog.ui
Go to line 276 and insert the following line (this will align the Cancel/Add button to the top, avoiding it to go outside the view area).
<property name="yalign">0</property>
Save and try to add the facebook account once again.
Hope it helps.

I never complain about Ubuntu, but that is just ridiculous. It's bad enough I have to have 2 systrays...one of them that accepts clicks differently than the other (which somehow creates "Unity"), but now "Social From The Start" is out the window. (I realize I can not use the Indicator Applet, but I do like the functionality of the (very hard to customize for the end user) Messaging Menu, so just respect the rant. I still love Ubuntu...mostly.

Zoe Gagnon (zgagnon) wrote :

Upgraded to 2.31.2 via launchpad ppa for trunk today. This issue is still present for me. After authorizing facebook, the notice "Facebook authorized" is flashed. Advanced menu options become visible. No cancel or add buttons are present.

Environment: Ubuntu 10.04 64-bit "Lucid"

To reproduce:
   Open gwibber.
   Select "accounts" from the "edit" menu.
   Click the "Add..." button.
   Open the pull-down box, and select "Facebook".
   Click the "Add" button.
   Click the "Authorize" button.
   Enter username and password for Facebook. Click the "Login" button.

Log produced from following these steps (and closing the dialog afterwords):
2010-07-08 19:00:46,991 - Gwibber GNOME Client - INFO - Running from the system path
2010-07-08 19:00:51,310 - Gwibber Accounts - INFO - Running from the system path
2010-07-08 19:01:12,654 - Gwibber Dispatcher - INFO - Gwibber Service is reloading account credentials

Screenshot of dialog:

<table style="width:auto;"><tr><td><a href="http://picasaweb.google.com/lh/photo/x0yG43SMzU9pr05uNFPCdA?feat=embedwebsite"><img src="http://lh5.ggpht.com/_ALHCxQXmMMY/TDZy7BwGcOI/AAAAAAAAAJ0/yOdXJCwK13A/s144/Screenshot.png" /></a></td></tr><tr><td style="font-family:arial,sans-serif; font-size:11px; text-align:right">From <a href="http://picasaweb.google.com/revpfil/WebPictures?feat=embedwebsite">Web pictures</a></td></tr></table>

Zoe Gagnon (zgagnon) wrote :

Comments don't allow embedded html I guess (I wish they would tell you these things). Url of screenshot is here:

http://picasaweb.google.com/lh/photo/x0yG43SMzU9pr05uNFPCdA?feat=directlink

Zoe Gagnon (zgagnon) wrote :

Built from source. Add button is present.

I'm guessing the fix from Ken VanDine has not propogated to the ppa yet. To fix this issue, build from the source code (or wait for ppa and Ubuntu to catch up).

Changed in gwibber (Ubuntu Lucid):
status: Triaged → New
Changed in gwibber:
assignee: nobody → Ken VanDine (ken-vandine)
status: Confirmed → Fix Released
Ken VanDine (ken-vandine) wrote :

This fix isn't a silver bullet, people will gradually see the failures reduce as more people upgrade. It is important that we get as many people as possible to get this update ASAP.

The root problem is that all Gwibber users as a whole (not per user) is being throttled by facebook because of the amount of data being pulled down by all Gwibber users and the number of queries. So all the reports of workarounds that work is really just coincidence. It is hit and miss, they don't reject all requests... just most of them.

2.30.1 and 2.31.2 greatly reduces the amount of data that gets downloaded from facebook and cuts down the number of queries to facebook down by 1/3 for each refresh. We now don't download any duplicate data, only data that we have not fetched before. For my account a single refresh with no new data went from 290K download to 6 bytes.

I think this will fix bug 552227, bug 595265, and probably quite a few others.

Changed in gwibber (Ubuntu Lucid):
assignee: Ken VanDine (ken-vandine) → nobody

Accepted gwibber into lucid-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in gwibber (Ubuntu Lucid):
status: New → Fix Committed
tags: added: verification-needed
Susanne Schlensog (sschlensog) wrote :

Any news on this issue?

Omer Akram (om26er) wrote :

been using gwibber 2.30.1 for a few days. I see no regression and also the the number of people infected by this bug have massively decreased. atleast works on my three machines and a friends'. On the other hand this released fixed tons of different bugs.

tags: added: verification-done
removed: verification-needed

Works for me !

On Tue, 2010-07-13 at 08:33 +0000, Omer Akram wrote:
> been using gwibber 2.30.1 for a few days. I see no regression and also
> the the number of people infected by this bug have massively decreased.
> atleast works on my three machines and a friends'. On the other hand
> this released fixed tons of different bugs.
>
> ** Tags added: verification-done
> ** Tags removed: verification-needed
>

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gwibber - 2.30.1-0ubuntu1

---------------
gwibber (2.30.1-0ubuntu1) lucid-proposed; urgency=low

  * New upstream release.
    - Better facebook api_key handling
    - Only download content from facebook that we haven't already downloaded
      yet (LP: #595265)
    - Cache the results of the friends query from facebook so we don't make so
      many redundant calls and download duplicate data (LP: #595265)
    - Added a CouchDB view for getting max_message_time and a method for
      looking it up per operation, using this value to only get content
      newer than the latest record we have stored
    - All of these fixes are related to reducing the number of calls we
      we make to facebook and reducing the size of the result. Facebook
      throttles application wide, not per-user based on usage. This throttling
      is the root cause for (LP: #552227) and (LP: #595265) and probably many
      other bug reports where facebook rejects gwibber.
    - Merged in the latest version of facelib.py
    - Don't fail when we get valid error codes back from facebook, log them.
    - Bump the map_async timeout up to make sure it is higher than the pycurl
      timeouts
    - Bump the pycurl.TIMEOUT to 150 and use default for pycurl.CONNECTTIMEOUT
 -- Ken VanDine <email address hidden> Thu, 08 Jul 2010 21:49:11 -0400

Changed in gwibber (Ubuntu Lucid):
status: Fix Committed → Fix Released

Sorry, but this bug is *not* fixed in 2.30.1-0ubuntu1

I'm running that very version in Ubuntu Lucid 64-bit, and I can still not add a new Facebook account due to a missing Add button after authenticating. I'll add a screenshot showing the problem. Here's the output of dpkg-query -l|grep gwibber:

ii gwibber 2.30.1-0ubuntu1
                                      Open source social networking client for GNO
ii gwibber-service 2.30.1-0ubuntu1
                                      Open source social networking client for GNO

Omer Akram (om26er) wrote :

Captain Chaos, read comment#69

The *Add button* not being displayed is due to Facebook throttling Gwibber users? That's very odd.

That isn't clear at all from that comment. I thought the comment was about the *other* problems with Facebook (not being able to post or receive messages). If it is to be expected that this problem will continue to occur, can't Gwibber at least be made to detect the situation and pop up some kind of message explaining the problem? I'm sure I'm not the only one who will be confused...

timosha (timosha) wrote :

This problem is not resolved with update gwibber 2.30.1-0ubuntu1

Karlchen (markus-schwaab) wrote :

The problem seems still not to be solved.

dpkg tells me that version 2.30.1-0ubuntu1 is installed.

Tried it the whole morning until now. No add button.

For the case of thinking about load: Timezone is GMT+2 (Germany)

Maybe another behavior that matters:
I have two Lucid 10.04 boxes running. At home it worked fine yesterday. It was the first facebook-setup with gwibber. But today I have the above mentioned problem, with my second machine on the same facebook-account. Maybe that's the problem??? Authentication-Issues??

Karlchen (markus-schwaab) wrote :

Okey,
4 hours after my last try (and last post) I tried it again and it works.
Don't ask me why!
Did nothing different from in comparison with the last tries...

Guess, Ken is right!
Sorry for making "trouble" ;-)

Santiago (santhyspain) wrote :

I can confirm what Karlchen says, that in version 2.30.1-0ubuntu1 Gwibber does not show the 'Add' button on the right part of the screen in order to add Facebook. Neither before nor after authorization.

I even made a new user to try with a blank /home/~ folder, and no way

Changed in gwibber (Ubuntu Lucid):
status: Fix Released → Confirmed
Kartik Mistry (kartik.mistry) wrote :

This seems working after removing ~/.gconf/apps/gwibber for me.

Ed Coles (edicoles) wrote :

Something very interesting had just happened. I've had the same error as above and I've tried again and again to get it working. All of a sudden, despite the fact that Gwibber has persistently told me I'm correctly authorised to add my Facebook account, the Facebook login space of the accounts window informed me that my account "has a high rate of authentication failure" and I can't get beyond that point. So I'm thinking that dodgy authentication could be the problem. Either that or someone's trying to hack my account =P

shishimaru (shishimaru) wrote :

Same problem with me,but with the latest version (PPA).

curtHendzell (curthendzell) wrote :

Tried all the UI file fixes and none seemed to work. Read up a few comments and saw that there was success logging in with my Facebook username rather than my e-mail. Tried it and the add/cancel button appeared. This seems to be the issue.

alexanghh (alexanghh) wrote :

Problem still exist with version 2.31.4.
On Lucid AMD64.

David Wendt (dwendt) wrote :

2.30.1 confirmed has bug. Has nothing to do with Facebook throttling.

Workaround: Deauthorize Gwibber from Facebook, then reauthorize. Gwibber expects certain data that Facebook does not deliver to already-authorized applications.

I saw the 'Add' button - but only after my fifth attempt to add the Facebook account, and wondering why it did not get listed after authorizing.

Why do I need to click 'Add' again at all after I've clicked through all the authorization?

MoLE (moleonthehill) wrote :

Confirming that removing ~/.gconf/apps/gwibber/ works around the issue for the version in lucid-updates (2.30.1-0ubuntu1)

I'm still getting regular "facebook error 4 - application request limit reached" errors. In fact, it happens more often than not, and I only very occasionally get new facebook messages. Usually they arrive so late that I don't even get to see them at all, because there are so many newer twitter messages on the screen already that the (old, by now) facebook messages get pushed off the screen the moment they are added.

It's been almost a month since this new version, which supposedly would fix the problem once everybody was using it, was released. Surely by now almost everybody is using it, and yet the problem persists. I think the time has come to acknowledge that the fix was not enough and more needs to be done to get Gwibber working.

Rems (leveillerems) wrote :

i Have found a way to do it once you authorise it check the box that say keep me login in gibber then the add button will appear.

Aldo Nogueira (aldo-nogueira) wrote :

Solution! (at least for me)

I have 3 machines: a notebook, a desktop at home and another desktop at work. All running Ubuntu 10.04.
The notebook and work's desktop had Facebook working OK on gwibber, but I couldn't add it in my home's desktop because of the missing Add button.

Then I noticed I didn't have my Ubuntu One account configured in my home's desktop. After setting up Ubuntu One, the Add and Cancel buttons appeared after Facebook's authorization. It's working now.
The other 2 machines had Ubuntu One previously.

Hello

What have you been up to ?

Tell you a good news. At last few days,My friend Jack told me where
was called the factory of world.All the things is very cheap.

Register to be their members as soon as possible, during this time,
they have discount sales, many surprises are waiting for you.

what's more it is very convenient.

The price of products is great low from there. But very perfect. It’s
incredible!

For example: laptops, cell phone, digital cameras, LCD TV, GPS and so on.

Remarkably,they have a very excellent after-sale service.

You can log on their website

www.daybuyfa.com

I would like you to have a pleasant shopping!

Sincerely yours

Victor Vargas (kamus) wrote :

spammer?

Whoever has written this comment, I would like to tell him/her that spam
is not tolerated in the Ubuntu community. Bugs are technical things, and
commenting such spam on bugs forces the higher authorities to take
action against the commenter.

On Sat, 2010-08-21 at 09:06 +0000, Vishal Telangre wrote:
> Hello
>
> What have you been up to ?
>
> Tell you a good news. At last few days,My friend Jack told me where
> was called the factory of world.All the things is very cheap.
>
> Register to be their members as soon as possible, during this time,
> they have discount sales, many surprises are waiting for you.
>
> what's more it is very convenient.
>
> The price of products is great low from there. But very perfect. It’s
> incredible!
>
> For example: laptops, cell phone, digital cameras, LCD TV, GPS and so
> on.
>
> Remarkably,they have a very excellent after-sale service.
>
> You can log on their website
>
> www.daybuyfa.com
>
> I would like you to have a pleasant shopping!
>
> Sincerely yours
>

@Bilal Akhtar,
I'm really sorry for that, as it (that spam message) been mailed
anonymously via e-mail id to the mailing list of Ubuntu community as
well to the all of my friends in my contact list... I thought my
e-mail account has been hacked by someone.. For that, me taking
serious action, changed password..

Thanks anyway for concerning about this issue...

2010/8/21, Bilal Akhtar <email address hidden>:
> Whoever has written this comment, I would like to tell him/her that spam
> is not tolerated in the Ubuntu community. Bugs are technical things, and
> commenting such spam on bugs forces the higher authorities to take
> action against the commenter.
>
> On Sat, 2010-08-21 at 09:06 +0000, Vishal Telangre wrote:
>> Hello
>>
>> What have you been up to ?
>>
>> Tell you a good news. At last few days,My friend Jack told me where
>> was called the factory of world.All the things is very cheap.
>>
>> Register to be their members as soon as possible, during this time,
>> they have discount sales, many surprises are waiting for you.
>>
>> what's more it is very convenient.
>>
>> The price of products is great low from there. But very perfect. It’s
>> incredible!
>>
>> For example: laptops, cell phone, digital cameras, LCD TV, GPS and so
>> on.
>>
>> Remarkably,they have a very excellent after-sale service.
>>
>> You can log on their website
>>
>> www.daybuyfa.com
>>
>> I would like you to have a pleasant shopping!
>>
>> Sincerely yours
>>
>
> --
> Can not add Facebook account as add button not displayed after
> authorisation.
> https://bugs.launchpad.net/bugs/595265
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in Gwibber: Fix Released
> Status in “gwibber” package in Ubuntu: Fix Released
> Status in “gwibber” source package in Lucid: Confirmed
> Status in “gwibber” source package in Maverick: Fix Released
>
> Bug description:
> Binary package hint: gwibber
>
> I am using a fully updated Ubuntu 10.04 system with Gwibber 2.30.0.1. When I
> try to add a FaceBook account the authorisation works fine. However
> afterwards a button to add the account (effectively saving the account) is
> not visible which means the account does not show in the list box on the
> left hand side. I am able to add other accounts (for example Twitter)
> without any problems.
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/gwibber/+bug/595265/+subscribe
>

--
विशाल

Changed in gwibber:
status: Fix Released → Fix Committed
status: Fix Committed → Fix Released
marco enrico alviar (mvalviar) wrote :

Using 2.30.1 having the same issue. I noticed that my messages doesn't post on facebook. I decided to remove and readd. But the add button doesn't show. Each time I click authorize I get one box saying "Success" and a blank box below it with active scroll bars. When I try to scroll to see if the add button is there it disappears. Click on on the authorize button again will just add another box which disappears with any interaction.

Resizing and the username trick doesn't help.

I tried the workarounds suggested above but none of them worked. The most promising one is removing auth and reauthorizing through gwibber. I get a different result: "Sorry there is an error with gwibber. Please try again later." Translated from:

Error
Paumanhin! Isang pagkakamali sa Gwibber.Mangyari lamang na subukin mamaya.

theman (office-jemura) wrote :

I had the same problem as written by the bug-reporter and I solved it, without additional packages, on a really easy way.
Maybe it will work for you, just try it and let me know your results...

(Originally written for the Facebook-forum)
--------------------------------------------------------

Well, I had the same problem, but i guess i fixed it...

I'm using Ubuntu 10.x, there two general problems with facebook, empathy and gwibber...

1. Gwibber
I was not able, to add my facebook-account in gwibber, it always said, there'r problems with verification or something like that , after sending the login-data. (Same thing, as many of you had written before)

My solution
Open facebook in your webbrowser, than search "gwibber" with the normal search-function, add the application, if everything is fine, "gwibber" should appear in your "right" list, in your profiles settings.
Log out and close your webbrowser.

Now, go back to gwibber, than add the account again, it should work now!

2. empathy problem
Empathy can't log in at the facebook chat interface

My solution, after registration of the required facebook-username, wait a few hours, if it's still not working, change your facebook-password once.

Now it should work fine...

Logging in using my username instead of my email worked for me too

Jeff Utter (jeffutter) wrote :

I just want to confirm that the following worked for me: Open FireFox and make it Default (Chrome was my default browser) login to facebook, go to http://facebook.com/myusername. Then gwibber adds as expected. This doesn't make a lot of sense but it works.

As I predicted, the bug is still there, and is causing incredible confusion due to its randomness.

To everyone posting "fixes": they aren't really fixes. What's happening is that Facebook is randomly denying requests from Gwibber, because it is generating too many of them (according to Facebook). When you add a new Facebook account, the Add button only appears after Gwibber has received the authentication token from Facebook, but if that request happens to fail, it never appears. It will start working again at some random point in the future, and if that happens to be right after you have tried something to fix it, it will seem as though the fix worked...

One reason that this is so confusing is that Gwibber fails silently. There is no indication whatsoever that a request has failed, which is especially annoying in this case, or when the request was a new post, which will then fail to appear on your Facebook page without any indication from Gwibber that something went wrong. This is something that badly needs to be fixed. If something went wrong, Gwibber should tell you about it (like it used to do in the previous version).

The story that was put out was that once enough people were using the new version the problems would go away, and that therefore the bug was fixed. It is now quite obvious that the problems have *not* gone away, and that the bug is therefore *not* fixed. It would be quite nice if the developers of Gwibber would acknowledge this.

theman (office-jemura) wrote :

"To everyone posting "fixes": they aren't really fixes. What's happening is that Facebook is randomly denying requests from Gwibber"

I also thought about this possibility, fact is, that i haven't had any more problems, after adding "gwibber" as application on my face book account,before all foreign applications in facebook were blocked in my configuration list, I'm not sure how it is called in the English facebook pages because I'm using the German site.

But note, as Captain Chaos wrote before, this could also be coincidence, there is no real proof on that....

Well, after all, maybe the problem is not actually gwibber, empathy or anything similar, maybe the problem is facebook itself, I often have problems with the facebook(website) chat, sometimes it stucks even if I know that someone else is writing messages or another example, my mobile-phone applications have problems even, with showing online contacts or finding relations between usernames and message or just can't login to my facebook account, this is also really randomly. So the developers should may check, if facebook is sometimes overloaded, maybe there problems with response time limits in there applications, if facebook takes to long to answer or something like that...

Please note, the thoughts written above are not actually a solution or facts, they are just possibilities that may be the cause of this issue...

Simon Butcher (sbutcher) wrote :

guys
i managed to fix this on 2.31.92
after trying all the suggestions above (approx 40 attempts), nothing worked, so I closed gwibber and ran

firefox ~/.local/share/desktop-couch/couchdb.html
then went into gwibber-accounts, selected the facebook account and performed "delete document"

restart gwibber and try to add facebook, works first time.
maybe someone can confirm this works for them too?

as a side note, i notice 22mb of data and 13000 entries in the gwibber_messages section - some dating back a long way. Could be the reason why facebook messages often stop updating in gwibber? (lack of purging of old messages?)

I have experienced this bug in Gwibber version 2.30.1, so I have activated the proposed-updates repository in order to install 2.30.2 and test the fix.

I still experience this bug in version 2.30.2.

Another theory stated above was that Gwibber doesn't properly interpret Facebook calls for applications that are already authorised, and therefore does not show the Add/Cancel buttons. I am testing this now by removing Gwibber from my Authorised Applications in Facebook and attempting to authorise it again using Gwibber's interface.

My previous comment resulted in the Add/Cancel buttons appearing: it seems that Gwibber isn't recognising the calls Facebook makes when Gwibber is already authorised by Facebook.

To remove Gwibber from your authorised Facebook applications, log in to Facebook in a web-browser, click the, "Account" menu button in the top-right and click, "Application Settings". In the Application Settings page, click the, "Show:" drop-down menu and select, "Granted application permissions". Then, in all categories where Gwibber appears, click the crosses to remove all permissions from Gwibber.

Open Gwibber and select, "Accounts" from the, "Edit" menu. Click the, "Add" button, select Facebook, then click, "Authorise". It will take you to the Facebook authorisation page within that window. Type in your user-name and password, then click, "Log in". This will then bring you to another Facebook page within that window, detailing the permissions you are about to grant Gwibber. Click, "Allow", and the process is complete: the, "Authorise" button and the text label to its right will disappear and be replaced with, "[Your Name] has been authorised by Facebook".

I should also add, after the first authorisation to Facebook by Gwibber version 2.30.2, removing the account, quitting Gwibber and opening it again, then adding the Facebook account and authorising in a standard way DOES NOT produce this bug. However, authorising Facebook in Gwibber 2.30.1 or earlier, then trying to authorise in Gwibber 2.30.2 DOES reproduce this bug.

Michael Kibat (kibatme) wrote :

Another data point or two regarding the bug:

Success running version 2.31.92 after removing Gwibber permissions in Facebook (see #106) and authorizing in Gwibber using just my username rather than my email address (see #19). The first change resulted in presentation of the full authorization dialogue from Facebook (login credentials followed by verification of permissions), the second change was required to actually make the 'add' button appear.

Łukasz Klich (klich-lukasz) wrote :

I'm using daily builds from launchpad ppa. Gwibber version 2.31.92. After removing authorisation in FB, removing ~/.config/gwibber and ~/.gconf/apps/gwibber I wasn't able to add FB account again in gwibber. So I purged it, and after install the FB account appeared in my accounts list, but it's lack of authorisation. I tried to authorise it, and it went well I mean, the FB site says it's authorised again, but gwibber says that it went well and it's authorised but I still have to authorise it. I could add screenshot how it looks like if anyone need it.

Jeff (jdorenbush) wrote :

@human77 - "open this page: http://www.facebook.com/username , go back to gwibber and use your username instead of your email when you login to your account. After that the Add button appeared for me."

This worked for me, thanks!

Ken VanDine (ken-vandine) wrote :

I just uploaded another improvement for Lucid and requestion an SRU for it. Fixes a bug in scheduling refreshes which was frequently causing gwibber to refresh more often than the configured interval. This should help alleviate more of the load we put on facebook and hopefully get us under the allocation they impose on us.

Accepted gwibber into lucid-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in gwibber (Ubuntu Lucid):
status: Confirmed → Fix Committed
tags: removed: verification-done
tags: added: verification-needed
Ken VanDine (ken-vandine) wrote :

To test the fix in lucid-proposed, after upgrading to it follow these steps:
 * make sure gwibber-service has restarted, "killall gwibber-service gwibber"
 * tail -f ~/.cache/gwibber/gwibber.log
 * launch gwibber as usual
 * watch the tail of that log file, let gwibber refresh once and make a note of your refresh interval
 * let a couple minutes pass and manually refresh (ctrl-r) and watch it in the log
 * let a couple more minutes pass and force a manual refresh again
 * after that refresh finishes, just wait and let it automatically refresh a couple times
 * look at the time displayed in the lines that say "Starting refresh", the ones you let automatically refresh should be roughly the same interval you have configured, if so this fix does what it is meant to do.

Mary Anna Singer (maryanna) wrote :

Update to proposed 1/2 hour ago; still have no "Add" button after Facebook authorization success message. Tried all fixes posted here and none have worked.

John R (john-maxpower) wrote :

Hi Guys,

Just to let you know I tried a myriad of workarounds mentioned above - but this FINALLY got it working.

1. Check that you're running Gwibber 2.30.2 (start gwibber, go into Help > About)
2. Run "firefox ~/.local/share/desktop-couch/couchdb.html" (no quotes). This will take you to Gwibber's settings.
3. Click on gwibber_accounts
4. Click on each key, and check that the protocol is not "facebook". If it is, click the 'Delete document...' link and remove it.
5. Repeat Step 4 unitl there are definitely no facebook keys.
6. Close Gwibber
7. Logon to Facebook and remove Gwibber from your apps list (comment #106 above)
8. Open Gwibber and try to add your account. Tick the box to always allow gwibber to log you in and allow the Gwibber app access to your account.
9. Pray that the Add and Cancel buttons appear (very important at this point)
10. If it does, click add and do a merry jig.

Good luck! Just to add, that this was incredibly painful to work out - so thanks to everyone above. Hopefully this will settle the authentication down... :|

Peter (maubp) wrote :

I just had this problem (no add button appearing), running Ubuntu Lucid and gwibber 2.30.2 (all fully updated).

This worked...

1. Starting with no accounts
2. Tried to add twitter, validated
3. Got pop up to unlock my keyring, entered my Ubuntu password
4. Could click on "Add"
5. Twitter feed loaded
6. Added facebook, validated (using username not email)
7. Could click on "Add"
8. Facebook feed loaded

Is the problem due to the keyring not being unlocked for facebook?

Andrea Denzler (andreaplanet) wrote :

Tried everything without success...
# Removed Gwibber completely using synaptic
# Killed gwibber processes
# Removed all gwibber database in: firefox ~/.local/share/desktop-couch/couchdb.html
# rm -r ~/.gconf/apps/gwibber
# rm -r ~/.config/gwibber/
# Removed Gwibber from facebook application
# Installed daily ppa of Gwibber version 2.31.94
# Opened firefox on page facebook/username
# Opened gwibber, tried to add facebook account. Authorization success but alas no Add button....

One note: Under gwibber the shown facebook page is in Italian (even if my primary language in facebook is english, tried italian too). Lucid 10.04 latest standard updates. Twitter and other accounts works well, even if also they are in Italian.

Andrea Denzler (andreaplanet) wrote :

Update: At last I forced the Add button (changing self.added = False into self.added = True) in /usr/share/pyshared/gwibber/microblog/util/facelib.py. Once the account was added I restored the code to the original value.

Ben Stokes (ben-ukstokes) wrote :

Version 2.31.90 here, bug still exists. The dialog box has dimensions larger than my screen resolution and there is no scroll bar and no visible add button. I notice I can tab to things on the dialog that are invisible. But pressing the space bar on the hidden elements doesn't do anything.

It would be nice if this was fixed in time for the 10.10 release. Maverick is going to be reviewed by the tech press as usual and this is a pretty basic feature broken ... setting up the social accounts is one of the first activities on a new install so it leaves a bad first impression. Just my 2 cents, sorry for adding more clutter to this bug report.

bryan lambert (raabscuttle) wrote :

WOW! All I have to say is wow. This problem existed for this long with no fix. And here I was about to recommend we deploy Ubuntu with about 5000 lappys - but I can't authorize that now. Ubuntu, and Linux by extension is still pretty sad compared to "real" operating systems made by Microsoft and Apple and still not ready for "prime time". No way that either one of those ding-dongs would have kept an application that was so touted in their main window and have it this buggy.

I just got the problem on a Mandriva 2010.1, with the latest gwibber trunk (864).

I tried this with no luck :
- standard way : add of facebook account in gwibber, logging with username (NOT e-mail) and password
- removing the gwibber app from facebook, and retry of standard way

The workaround that worked for me :
- removing the gwibber app from facebook, reloading http://www.facebook.com/[my username] and retry of the standard way

As I was on the trunk, I hacked a bit to get more information on what was happening.
There is an "except: pass" in the facebook code (with a #FIXME).
I removed the "pass" to a "raise" and got this exception :
Traceback (most recent call last):
  File "/home/leo/lp/gwibber/gwibber/lib/gtk/facebook.py", line 134, in on_facebook_auth_title_change
    self.account["username"] = str(fbc.users.getInfo(fbuid)[0]["name"])
  File "<string>", line 7, in getInfo
  File "/home/leo/lp/gwibber/gwibber/microblog/util/facelib.py", line 602, in __call__
    return self._client('%s.%s' % (self._name, method), args)
  File "/home/leo/lp/gwibber/gwibber/microblog/util/facelib.py", line 1140, in __call__
    return self._parse_response(response, method)
  File "/home/leo/lp/gwibber/gwibber/microblog/util/facelib.py", line 1064, in _parse_response
    self._check_error(result)
  File "/home/leo/lp/gwibber/gwibber/microblog/util/facelib.py", line 1015, in _check_error
    raise FacebookError(response['error_code'], response['error_msg'], response['request_args'])
gwibber.microblog.util.facelib.FacebookError: Error 4: Application request limit reached

After the workaround, there has not been this exception anymore.
I hope this will help you fix the problem, or at least, show a message helping the user.

Vadim Rutkovsky (roignac) wrote :

@Olivier: the issue with request limit should be added as new issue - without code modification these errors may occur on updating Facebook account.

I had reproduced the original defect (hidden Add button), but randomly. if someone has reliable steps to reproduce - please, comment the issue.

jaykaycgn (bigbedue) wrote :

#100 worked for me too. confusing.

"I just want to confirm that the following worked for me: Open FireFox and make it Default (Chrome was my default browser) login to facebook, go to http://facebook.com/myusername. Then gwibber adds as expected. "

Andy Cooling (andycooling) wrote :

I managed to get around this in Lucid, I have just installed Maverick RC and the problem has returned

fenerlitk (fenerlitk) on 2010-10-05
Changed in gwibber (Ubuntu Maverick):
status: Fix Released → Fix Committed
status: Fix Committed → Fix Released
Philip Chillag (p-chillag) wrote :

This problem still exists in the latest daily release of Gwibber 2.33.0, under Ubuntu 10.10. None of the workarounds posted here work, I've tried them all in various combinations multiple times.

Philip Chillag (p-chillag) wrote :

Finally got it to work, just kept trying and it eventually worked. I understand the bug may be due to Facebook throttling Gwibber or sending invalid data, but Gwibber should handle this more gracefully - informing the user of the issue and telling them to keep trying, or to leave it some time and try later, whichever it likely to give the best results

freacert (erik-grtz) wrote :

https://bugs.launchpad.net/gwibber/+bug/595265/comments/103

also no use for me.

https://bugs.launchpad.net/gwibber/+bug/595265/comments/124
you are totally right, running gwibber 2.33.0 aswell. no add button..
tried everything, including installing the python-facebook from the repositories as comented in

http://ubuntuforums.org/showpost.php?p=9932822&postcount=14

freacert (erik-grtz) wrote :

and sunday morning, when all was quite on facebook, magically the add button appeared...

So i would suggest it is on the facebook side, not a bug in the program.

Finally, as freacert, I managed to add the facebook account. the add button appeared.
But no clue what solve it and what not. I was simply keeping trying.

Matt Paddock (mapdock) wrote :

Encountered this issue after upgrade to 10.10, but was able to see add button after removing previous authorization for Twitter and retrying the Facebook authorization. None of the other suggestions worked while Twitter was authorized.

Mike Humphrys (benchdog) wrote :

Just today I upgraded to 10.10 and noticed the problem with Gwibber. I tried disabling Twitter, then tried to authorize Facebook...it did say that I was authorized but FB didn't show up and neither did the add button...I then made Firefox my default browser and tried the auth process again and Voila! Add button appeared...go fig....

Shawn B. (slooksterpsv) wrote :

Ubuntu 10.10 I'm having the issue, 64-bit. I'm not sure why it's not working or how to fix it, I tried the above and none of them worked. I'm going to try to purge the package and reinstall it.

Philip Weaver (philip-weaver) wrote :

I encountered this bug on Ubuntu 10.10 with gwibber version 2.32.0.1-0ubuntu1. I tried many of the fixes listed above. What worked for me was if I resized the window to make it larger *before* starting to add facebook. If and only if I resized the window beforehand, then the "save" button would appear after logging into facebook.

I can confirm #132 - this worked for me as well...

Kris Marien (kris-marien) wrote :

I think that adding FB to gwibber might be a firewall issue. When I disabled the firewall I had no problems adding FB account to gwibber. How many of you are using firewall?

Remy (cinnabubbles) on 2010-10-16
Changed in gwibber (Ubuntu):
status: Fix Released → Fix Committed
Mathew Nelson (mathew-nelson) wrote :

Remove the Facebook Gwibber key from your keyring. Remove application permissions for Gwibber from Facebook. Add the account back to Gwibber as you normally would. This seemed to work for me on Ubuntu 10.10 with Gwibber 2.32.0.1

I am using 10.4 and Gwibber 2.30.2. Comment #19 also worked for me. I used firefox, had facebook in one tab after choosing a username (I did not need to logout and log back in with my new username), and just logged in using my username in Gwibber. Note that the authorization success screen (attached) is different when I used my username instead of my email,.

Steve Langasek (vorlon) on 2010-10-17
Changed in gwibber (Ubuntu):
status: Fix Committed → Fix Released

LinkedIn
------------

Bug,

I'd like to add you to my professional network on LinkedIn.

- Vishal Telangre

Vishal Telangre
Studying in 1st semester of 3rd year in Info. Tech. stream of Engineering at P.E.S. College Of Engineering, Aurangabad - 431 136
Aurangabad Area, India

Confirm that you know Vishal Telangre
https://www.linkedin.com/e/-9e8ge8-gff0qzmq-6d/isd/1791140228/dflsS68Y/

--
(c) 2010, LinkedIn Corporation

Ivan Glushkov (gli-passw) wrote :

I've tried all methods and only #132 works!
Ubuntu 10.10, Chromium

chrone (chrone81) wrote :

nothing seems to work on ubuntu 10.10 netbook edition using gwibber 2.32.0.1. updating to the daily build from ppa didn't solve this issue too. this is really frustrating. :(

btw, my ubuntu username and facebook username is not the same.

progtaplayer (progtaplayer) wrote :

I am running Ubuntu Netbook Remix, and after a little but of trouble, I did get the "add" button to appear. (Trying to add Facebook accounts)

> btw, my ubuntu username and facebook username is not the same.
thats because canonical does not own facebook :-)

On Wed, Oct 20, 2010 at 7:38 PM, progtaplayer <email address hidden>wrote:

> I am running Ubuntu Netbook Remix, and after a little but of trouble, I
> did get the "add" button to appear. (Trying to add Facebook accounts)
>
> --
> Can not add Facebook account as add button not displayed after
> authorisation.
> https://bugs.launchpad.net/bugs/595265
> You received this bug notification because you are subscribed to
> Gwibber.
>
> Status in Gwibber: Fix Released
> Status in “gwibber” package in Ubuntu: Fix Released
> Status in “gwibber” source package in Lucid: Fix Committed
> Status in “gwibber” source package in Maverick: Fix Released
>
> Bug description:
> Binary package hint: gwibber
>
> I am using a fully updated Ubuntu 10.04 system with Gwibber 2.30.0.1. When
> I try to add a FaceBook account the authorisation works fine. However
> afterwards a button to add the account (effectively saving the account) is
> not visible which means the account does not show in the list box on the
> left hand side. I am able to add other accounts (for example Twitter)
> without any problems.
>
>
>

This bug still exists.

Changed in gwibber (Ubuntu Maverick):
status: Fix Released → Fix Committed
hubutm20 (hubutm20) wrote :

On Linux Mint 8 "Karmic" with Gwibber 2.33.0 for Facebook account "add" button the #19 was the right answer.

I managed to fix the issue at my Ubuntu 10.10!

Here is how.

-I fresh installed 10.10 earlier today.
-Updated and installed all software i needed, and made sure my system was up to date.
-Tried to add gwibber facebook account, but didnt get any ADD / REMOVE button as usual.
-Did a.. $ strace -o "log.txt" gwibber
-Found out that gwibber was missing some deps. Some of them was .so files from Webkit.
-To fix webkit, i did: $ sudo apt-add-repository ppa:webkit-team/ppa && sudo apt-get update && sudo apt-get upgrade
-Still, there was something missing, so i checked 'Synaptic'. And these files were not installed:
gir1.0-atk-1.0 (1.32.0-0ubuntu1)
gir1.0-freedesktop (0.9.3-0ubuntu4)
gir1.0-gdkpixbuf-2.0 (2.22.0-0ubuntu1)
gir1.0-gtk-2.0 (2.22.0-0ubuntu1)
gir1.0-gwibber-0.0 (0.0.6-0ubuntu1)
gir1.0-gwibber-gtk-0.0 (0.0.6-0ubuntu1)
gir1.0-pango-1.0 (1.28.1-1ubuntu3)
libgwibber-dev (0.0.6-0ubuntu1)
libgwibber-doc (0.0.6-0ubuntu1)
libgwibber-gtk-dev (0.0.6-0ubuntu1)
libgwibber-gtk-doc (0.0.6-0ubuntu1)
libgwibber-gtk0 (0.0.6-0ubuntu1)
libgwibber-gtk0.0-cil (0.0.6-0ubuntu1)
libgwibber-gtk0.0-cil-dev (0.0.6-0ubuntu1)
libgwibber0.0-cil (0.0.6-0ubuntu1)
libgwibber0.0-cil-dev (0.0.6-0ubuntu1)

-After i installed files, i had no problem anymore.. Best of all, my GF can confirm that it works on her ubuntu netbook!

Anyone else can confirm this too?

papukaija (papukaija) wrote :

This bug seems to be a duplicate of 614742.

papukaija (papukaija) wrote :

This bug seems to be a duplicate of bug 614742

Haggai Eran (haggai-eran) wrote :

Hi,

I tried 2.32.0.2-0ubuntu1 from maverick-proposed, and I still suffer from the bug. I tried deleting the desktop-couch files, the .gwibber directory and the gconf preferences, but it didn't help.

#129 Worked for me! didnt have to delete facebook application for gwibber, just add your facebook account before you add twitter :)

R.J. Steinert (rj-rjsteinert) wrote :

I'm using the daily build. I tried using my user name, removing all accounts, and reinstalling but still no add button for Facebook accounts.

Matthew Woerly (nattgew) wrote :

Seems like everyone has their own thing that works for them.
For me, it would not show the Save button until I removed Twitter first. Then it showed the Save button, but it did nothing.
After trying many things, here is what finally worked (ideas found here):
Making Firefox default browser (I use Chrome), and logging into Facebook in Firefox.
Opening broadcast account window and sizing it larger.
Adding account with username (not email address).
Following these steps gave me the Save button and allowed me to save my account to Gwibber. Not sure if they were all necessary but I tried a lot of things without success before this.

perriman (chuchiperriman) wrote :

I don't understand all the comments in this bug... Why the developers don't look at the code an check when the button is disabled?

Anyone can tell us when the button is disabled or when it is enabled? The application check something to show or not the button. What are these conditions? If we have the conditions, we could check better the application.

Really the firefox/chrome cache influences to gwibber? Really influences if you are logged in facebook in an external navigator?

I think it is an internal design problem if all the questions are true (probably thanks to the great (hehehehehe) oauth protocol without desktop applications support...)

Andrew (andrew-rw-robinson) wrote :

This is still broken in lucid (2.30.2-0ubuntu3) and in the gwibber-team/ppa (2.32.0-1ubuntu1)

If you try to add facebook as the first account, it does not give you an add button. If you add twitter first, then facebook, it works.

vietnam (vietnam-ro2005) wrote :

This is shitty. We wamt app to just work, if we want to make ubuntu more easy to use and mainstream. Yes, mainstream. Because if ubuntu becomes mainstream, then app producers will target ubuntu.... making aplication for us to, not shitty porting everything with wine.

vietnam (vietnam-ro2005) wrote :

Broken here too . Default gwibber that comes with ubuntu 10.10

Martin-Éric Racine (q-funk) wrote :

I can confirm that installing the missing dependencies recommended by #144 fixed it here on Maverick.

Ivo Mans (ivomans) wrote :

For me on Ubuntu 10.10 the comment #144 solved the issue.

Kristian Bak (kristianbak) wrote :

Confirmed fix pr 1st of november with ubuntu desktop 10.10:

1. close gwibber
2. log into facebook in your browser, go to the application settings, remove Gwibber permissions/authorization etc etc
3. open gwibber and try to log in with your username from http://facebook.com/username again
4. ???
5. PROFIT

Alex Bennée (ajbennee) wrote :

I tried the steps described in #157 (although I couldn't find the Gwibber permissions/authorization on FAcebook's site, I just deleted to the App). When attempting to login via the Gwibber status panel I get success reported in the text box but no Add button.

I'm running the Gwibber PPA on 10.04 : 2.32.0.1-0ubuntu1

I'm using 10.10 and gwibber 2.32.0.2 and the button to add the account after authorisation is displayed if you maximise the window

Florian Stoll (flostoll) wrote :

I installed maverick-proposed version of gwibber and could add my facebook-account. Messages are shown and it seems to be working now.

chrone (chrone81) wrote :

the maverick-proposed package seems resolve this issue. thanks for the update folks. hope this will soon be out in the main repository. :)

chrone (chrone81) wrote :

here's the how to enable proposed repository: https://wiki.ubuntu.com/Testing/EnableProposed

after reading the how to and set up your repository priority and update the repository to the latest, reinstall the gwibber and gwibber-service package.

Haggai Eran (haggai-eran) wrote :

I'm sorry, but I've tried version 2.32.2-0ubuntu1 from maverick-proposed, and I still can't see the Add button for Facebook.

Martin Pitt (pitti) on 2010-11-15
tags: added: verification-donee
removed: verification-needed
tags: added: verification-done
removed: verification-donee
Jmadero (jmadero) wrote :

This doesn't fix my problem either. There is no "add" option for facebook, I verify the account but it never adds it to the left pane where my accounts are. I haven't successfully been able to get facebook and gwibber functioning since probably the first month of 10.04. Thanks

Jmadero (jmadero) wrote :

The only fix that I found that has worked is the opendns fix that has been reported here https://bugs.launchpad.net/gwibber/+bug/599507

Rha7 (rha7-com) wrote :

This has happenned to me since a long time, in every pc I install with Ubuntu, every time the same work-around works... if gwibber doesn't add the facebook account, switch the default browser... if it's firefox, make chrome the default, or viceversa, then close & kill any gwibber processes and try again; some times, you have to switch it twice before it works, hope this works for somebody out there ...

Gabriel.

Omer Akram (om26er) on 2011-01-05
Changed in gwibber (Ubuntu Maverick):
status: Fix Committed → Fix Released
Changed in gwibber (Ubuntu Lucid):
status: Fix Committed → Fix Released
jeremy-list (quick-dudley) wrote :

who was the idiot that marked this is "fix-released"? In the latest version: the only thing that's different is that none of the workarounds work!

tagMacher (tagmacher) wrote :

More than a year after the last comment here, I have re-installed 10.04 on my laptop since an upgrade to 12.04 went horribly bad. The issue with Gwibber still exists even after all updates have been applied and the update manager reports no more updates to apply. I have even turned on the partner repositories to make sure Gwibber updates come in if available. I have received gwibber 2.30.3-0ubuntu and the issue with adding FB account still exists. It is solved by making the add button visible by maximising the window and clicking somewhere near the bottom to show up the bottom half of the window. However, I have never had this problem with the previous 10.04 installation on the same laptop, prior to trying the 12.04 upgrade.

Changed in gwibber (Ubuntu):
assignee: Ken VanDine (ken-vandine) → ramana garikipati (ramana-g)
Bilal Shahid (s9iper1) on 2012-10-18
Changed in gwibber (Ubuntu):
assignee: ramana garikipati (ramana-g) → Ken VanDine (ken-vandine)
assignee: Ken VanDine (ken-vandine) → nobody
To post a comment you must log in.